- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MapFilter Class Reference

Inherits Filter.

List of all members.

## Public Member Functions
| MapFilter ()
FilterDecision | decide (const spi::LoggingEventPtr &event) const

## Constructor & Destructor Documentation

MapFilter | ( |  | ) |

## Member Function Documentation

FilterDecision decide | ( | const spi::LoggingEventPtr & | event | ) | const`[virtual]`

  | If the decision is `DENY`, then the event will be dropped. If the decision is `NEUTRAL`, then the next filter, if any, will be invoked. If the decision is ACCEPT then the event will be logged without consulting with other filters in the chain. Parameters:
  | event | The LoggingEvent to decide upon.
Returns: The decision of the filter. Implements Filter.

The documentation for this class was generated from the following file:

- mapfilter.h